[ Top | Up | Prev | Next | Map | Index ]

# Analog CE 6.0: Quick reference

This section is list of all of analog's configuration commands, together with a quick reference to their syntax and some examples. It's designed for those who are already familiar with the program, so it's pretty useless for trying to learn the program: to learn about the commands, read the section on Customising analog instead, or consult the index for a reference. Command line arguments aren't listed here, but there is a list of them in the index. Not all commands are available on all platforms.

This section is divided into the following parts:

- Notation
- Input and output files
- `LOGFORMAT` commands
- `ALIAS` commands
- `INCLUDE/EXCLUDE` commands
- DNS commands
- Sub-item commands
- `LOWMEM` commands
- Report commands
- `GRAPH` commands
- `BACK` commands
- `ROWS` commands
- `COLS` commands
- `SORTBY` commands
- `FLOOR` commands
- `CHART` commands
- Hyperlinks
- Language commands
- Cosmetic and miscellaneous commands
- Diagnostics

### Notation

The syntax for each command is given using the following notation.

    "stuff"        the word stuff
    x y            x followed by y
    (x | y)        x or y
    [x]            optional x
    subset("...")  any letters from the string, in any order
    perm("...")    all the letters from the string, in any order
    *x             x may contain wildcards * and ? (and often comma-separated list)
    x := y         x is defined to be y
    COMMAND        the command under discussion

In addition, I use the following names for different types of argument.

    char           a single character
    string         a string
    digit          a digit
    number         a non-negative integer (i.e. a string of digits)
    real           a non-negative real number
    regexp         a Perl-syntax regular expression
    file           a filename within your server's filespace;
                       e.g. /index.html
    localfile      a filename within your system's filespace;
                       e.g. /usr/local/analog.html
                          or analog.html
                     if no directory specified, placed within suitable
                     directory specified at compile-time
    localfmtfile   as localfile, but may contain date codes;
                       e.g. /usr/local/analog%y%M.html
    referrer       a URL of a referring page;
                       e.g. http://search.yahoo.com/
    URL            a URL which may be absolute, or relative to the output page;
                       e.g. images/ or /~fred/images/
                          or http://www.fred.com/images/
    fmtURL         as URL, but may contain date codes

Note: I have occasionally opted for clarity above strict accuracy where I don't think it will cause any confusion!

The syntax for commands in general was given earlier: remember that an argument which contains a hash or a space must be put in quotes or parentheses.

### Input and output files

Syntax
  `LOGFILE (*localfmtfile | "-" | "none") [prefix_string]
  OUTFILE (localfmtfile | "-" | "none")
  CACHEFILE (*localfmtfile | "-" | "none")
  CACHEOUTFILE (localfmtfile | "-" | "none")
  UNCOMPRESS *localfile program`
Examples
  `LOGFILE /httpd/logs/*
  LOGFILE c:\logs\log1,c:\logs\log2
  OUTFILE "Hard Disk:Report%Y%M.html"
  UNCOMPRESS *.Z "/usr/bin/uncompress -c"`

### `LOGFORMAT` commands

Syntax

      format_string := (see documentation)
      Apache_format_string := (see Apache documentation)
      logformat := ("COMMON" | "COMBINED" | "REFERRER" | "BROWSER" | "EXTENDED" |
                    "MICROSOFT-NA" | "MICROSOFT-INT" | "WEBSITE-NA" | "WEBSITE-INT" |
                    "MS-EXTENDED" | "WEBSTAR-EXTENDED" | "MS-COMMON" | "NETSCAPE" |
                    "WEBSTAR" | "MACHTTP" | "AUTO" | format_string)
      LOGFORMAT logformat
      DEFAULTLOGFORMAT logformat
      APACHELOGFORMAT Apache_format_string
      APACHEDEFAULTLOGFORMAT Apache_format_string

Notes
  `LOGFORMAT` and `APACHELOGFORMAT` only affect logfiles occurring later in the same configuration file.
Examples
  `LOGFORMAT (%S - %u [%d/%M/%Y:%h:%n:%j %j] "%j %r %j" %c %b)
  DEFAULTLOGFORMAT MS-EXTENDED
  APACHELOGFORMAT (%h %l %u %t \"%r\" %s %b)`

### `ALIAS` commands

1. Commands (items)
  `FILEALIAS, HOSTALIAS, BROWALIAS, REFALIAS, USERALIAS, VHOSTALIAS`
Syntax
  `COMMAND *olditem ["PLAIN:"]newitem
  COMMAND ("REGEXP:" | "REGEXPI:")regexp ["PLAIN:"]newitem`
Notes
  Aliases item in all reports. Items with the same resultant name are combined. `newitem` may contain `$1`, `$2` etc., representing the `*`'s in `olditem` or the bracketed subexpressions in `regexp`. (`PLAIN:` makes `$`'s on the right-hand side into literal `$`'s.)
Examples
  `FILEALIAS /*/football/* /$1/soccer/$2`
  `USERALIAS REGEXP:^([^U].*) U$1`

2. Commands (reports)
  `TYPEALIAS, HOSTREPALIAS, REDIRHOSTALIAS, FAILHOSTALIAS, REQALIAS, REDIRALIAS, FAILALIAS, DIRALIAS, DOMALIAS, ORGALIAS, REFREPALIAS, REFSITEALIAS, REDIRREFALIAS, FAILREFALIAS, BROWREPALIAS, BROWSUMALIAS, OSALIAS, VHOSTREPALIAS, REDIRVHOSTALIAS, FAILVHOSTALIAS, USERREPALIAS, REDIRUSERALIAS, FAILUSERALIAS`
Syntax
  `COMMAND *item ["PLAIN:"]string
  COMMAND ("REGEXP:" | "REGEXPI:")regexp ["PLAIN:"]string`
Notes
  Aliases item on one line of one report only. `$1`, `$2` etc. in `string` are interpreted as explained above.
Examples
  `REQALIAS /football/ "/football/ (Main football page)"`
  `REFREPALIAS REGEXP:^(http://([^/]*\.)?(maths|stats)\.uxy\.edu.*) ([$3] $1)`

3. Other commands: syntax
  `CASE ("SENSITIVE" | "INSENSITIVE")
  USERCASE ("SENSITIVE" | "INSENSITIVE")
  SEARCHCHARCONVERT ("ON" | "OFF")
  DIRSUFFIX suffix
  LOGTIMEOFFSET ["+" | "-"] number
  TIMEOFFSET ["+" | "-"] number
  304ISSUCCESS ("ON" | "OFF")`
Examples
  `CASE SENSITIVE
  DIRSUFFIX index.htm
  LOGTIMEOFFSET -300`

### `INCLUDE/EXCLUDE` commands

1. Commands (items)
  `FILEINCLUDE, FILEEXCLUDE, HOSTINCLUDE, HOSTEXCLUDE, BROWINCLUDE, BROWEXCLUDE, REFINCLUDE, REFEXCLUDE, USERINCLUDE, USEREXCLUDE, VHOSTINCLUDE, VHOSTEXCLUDE`
Syntax
  `COMMAND (*item | "")
  COMMAND ("REGEXP:" | "REGEXPI:")regexp`
Notes
  Excludes all logfile entries containing an excluded item from all reports. Includes and excludes are done after aliases, so the `item` is the aliased name, if applicable. `HOSTINCLUDE` and `HOSTEXCLUDE` can also take IP address ranges and subnet masks.
Examples
  `FILEINCLUDE /jim/*,/jane/*
  FILEINCLUDE REGEXP:^/~[^/]*/$
  HOSTEXCLUDE proxy*.aol.com
  USEREXCLUDE ""`

2. Syntax (including and excluding status codes)
  `range := (number | number "-" number | number "-" | "-" number | "*")
  STATUSINCLUDE range [, ranges]
  STATUSEXCLUDE range [, ranges]`
Notes
  All numbers must be in the range 100-599.
Example
  `STATUSINCLUDE 200-299,304`

3. Syntax (including and excluding dates)
  `partdate := ["+" | "-"] digit digit
  date := partdate partdate partdate [":" partdate partdate]
  FROM date
  TO date`
Examples
  `FROM 990719:1200
  TO -00-0101`

4. Commands (reports)
  `REQINCLUDE, REQEXCLUDE, REDIRINCLUDE, REDIREXCLUDE, FAILINCLUDE, FAILEXCLUDE, TYPEINCLUDE, TYPEEXCLUDE, DIRINCLUDE, DIREXCLUDE, HOSTREPINCLUDE, HOSTREPEXCLUDE, REDIRHOSTINCLUDE, REDIRHOSTEXCLUDE, FAILHOSTINCLUDE, FAILHOSTEXCLUDE, DOMINCLUDE, DOMEXCLUDE, ORGINCLUDE, ORGEXCLUDE, REFREPINCLUDE, REFREPEXCLUDE, REFSITEINCLUDE, REFSITEEXCLUDE, SEARCHQUERYINCLUDE, SEARCHQUERYEXCLUDE, SEARCHWORDINCLUDE, SEARCHWORDEXCLUDE, INTSEARCHQUERYINCLUDE, INTSEARCHQUERYEXCLUDE, INTSEARCHWORDINCLUDE, INTSEARCHWORDEXCLUDE, REDIRREFINCLUDE, REDIRREFEXCLUDE, FAILREFINCLUDE, FAILREFEXCLUDE, BROWREPINCLUDE, BROWREPEXCLUDE, BROWSUMINCLUDE, BROWSUMEXCLUDE, OSINCLUDE, OSEXCLUDE, VHOSTREPINCLUDE, VHOSTREPEXCLUDE, REDIRVHOSTINCLUDE, REDIRVHOSTEXCLUDE, FAILVHOSTINCLUDE, FAILVHOSTEXCLUDE, USERREPINCLUDE, USERREPEXCLUDE, REDIRUSERINCLUDE, REDIRUSEREXCLUDE, FAILUSERINCLUDE, FAILUSEREXCLUDE`
Syntax
  `COMMAND *item
  COMMAND ("REGEXP:" | "REGEXPI:")regexp`
Notes
  Excludes an excluded item from one report only. `HOSTREP*`, `REDIRHOST*` and `FAILHOST*` can also take IP address ranges and subnet masks.
Example
  `REQINCLUDE pages`

5. Commands (hyperlinks)
  See below.

6. Syntax (miscellaneous)
  `PAGEINCLUDE *file
  PAGEEXCLUDE *file
  ARGSINCLUDE *file
  ARGSEXCLUDE *file
  REFARGSINCLUDE *referrer
  REFARGSEXCLUDE *referrer
  ROBOTINCLUDE *browser
  ROBOTEXCLUDE *browser`
Notes
  These can be regular expressions too.
Examples
  `PAGEINCLUDE *.jsp
  ROBOTINCLUDE *crawler*`

### DNS commands

Syntax
  `DNSFILE localfile
  DNS ("NONE" | "READ" | "LOOKUP" | "WRITE")
  DNSLOCKFILE localfile
  DNSGOODHOURS number
  DNSBADHOURS number
  DNSTIMEOUT number`
Examples
  `DNSFILE dnscache.txt
  DNS WRITE
  DNSBADHOURS 48`

### Sub-item commands

Syntax
  `SUBDIR *file
  SUBDOMAIN *subdomain
  SUBDOMAIN subdomain name
  SUBORG *subdomain
  SUBTYPE *extension
  SUBBROW *browser
  REFDIR *referrer`
Examples
  `SUBDIR /jim/*/*
  SUBTYPE *.gz`

### `LOWMEM` commands

Commands
  `FILELOWMEM, HOSTLOWMEM, BROWLOWMEM, REFLOWMEM, USERLOWMEM, VHOSTLOWMEM`
Syntax
  `COMMAND ("0" | "1" | "2" | "3")`
Example
  `HOSTLOWMEM 3`

### Report commands

Commands
  `GENERAL, ALL, YEARLY, QUARTERLY, MONTHLY, WEEKLY, DAILYREP, DAILYSUM, HOURLYREP, HOURLYSUM, WEEKHOUR, QUARTERREP, QUARTERSUM, FIVEREP, FIVESUM, HOST, REDIRHOST, FAILHOST, ORGANISATION, DOMAIN, REQUEST, DIRECTORY, FILETYPE, SIZE, PROCTIME, REDIR, FAILURE, REFERRER, REFSITE, SEARCHQUERY, SEARCHWORD, INTSEARCHQUERY, INTSEARCHWORD, REDIRREF, FAILREF, BROWSERREP, BROWSERSUM, OSREP, VHOST, REDIRVHOST, FAILVHOST, USER, REDIRUSER, FAILUSER, STATUS`
Syntax
  `REPORTCOMMAND ("ON" | "OFF")`
Examples
  `ALL OFF
  HOURLYREP ON`

### `GRAPH` commands

Commands
  `ALLGRAPH, YEARGRAPH, QUARTERLYGRAPH, MONTHGRAPH, WEEKGRAPH, DAYREPGRAPH, DAYSUMGRAPH, HOURREPGRAPH, HOURSUMGRAPH, WEEKHOURGRAPH, QUARTERREPGRAPH, QUARTERSUMGRAPH, FIVESUMGRAPH, FIVEREPGRAPH`
Syntax
  `COMMAND ("R" | "r" | "P" | "p" | "B" | "b")`
Example
  `ALLGRAPH B`

### `BACK` commands

Commands
  `ALLBACK, YEARBACK, QUARTERLYBACK, MONTHBACK, WEEKBACK, DAYREPBACK, HOURREPBACK, QUARTERREPBACK, FIVEREPBACK`
Syntax
  `COMMAND ("ON" | "OFF")`
Example
  `ALLBACK ON`

### `ROWS` commands

Commands
  `YEARROWS, QUARTERLYROWS, MONTHROWS, WEEKROWS, DAYREPROWS, HOURREPROWS, QUARTERREPROWS, FIVEREPROWS`
Syntax
  `COMMAND number`
Example
  `QUARTERREPROWS 192`

### `COLS` commands

1. Commands (time reports)
  `TIMECOLS, YEARCOLS, QUARTERLYCOLS, WEEKCOLS, MONTHCOLS, WEEKCOLS, DAYREPCOLS, DAYSUMCOLS, HOURREPCOLS, HOURSUMCOLS, WEEKHOURCOLS, QUARTERREPCOLS, QUARTERSUMCOLS, FIVEREPCOLS, FIVESUMCOLS`
Syntax
  `cols1 := subset("RrPpBb")
  COMMAND cols1`
Example
  `MONTHCOLS bRP`

2. Commands (most success reports)
  `HOSTCOLS, ORGCOLS, DOMCOLS, DIRCOLS, REFCOLS, REFSITECOLS, SEARCHQUERYCOLS, SEARCHWORDCOLS, INTSEARCHQUERYCOLS, INTSEARCHWORDCOLS, BROWREPCOLS, BROWSUMCOLS, OSCOLS, VHOSTCOLS, USERCOLS`
Syntax
  `cols2 := subset("NDdEeRrSsPpQqBbCc")
  COMMAND cols2`
Example
  `USERCOLS BD`

3. Syntax (Request and File Type Reports)
  `REQCOLS subset("NDdEeRrSspqBbCc")
  TYPECOLS subset("NDdEeRrSsBbCc")`
Example
  `TYPECOLS NRb`

4. Commands (failure, redirection and Status Code reports)
  `REDIRCOLS, FAILCOLS, REDIRHOSTCOLS, FAILHOSTCOLS, REDIRREFCOLS, FAILREFCOLS, REDIRVHOSTCOLS, FAILVHOSTCOLS, REDIRUSERCOLS, FAILUSERCOLS, STATUSCOLS`
Syntax
  `cols4 := subset("NDdEeRrSs")
  COMMAND cols4`
Example
  `FAILCOLS D`

5. Commands (Size and Processing Time Reports)
  `SIZECOLS, PROCTIMECOLS`
Syntax
  `cols5 := subset("DdEeRrSsPpQqBbCc")
  COMMAND cols5`
Example
  `SIZECOLS RB`

### `SORTBY` commands

1. Commands (most success reports)
  `HOSTSORTBY, ORGSORTBY, DOMSORTBY, DIRSORTBY, REFSORTBY, REFSITESORTBY, SEARCHQUERYSORTBY, SEARCHWORDSORTBY, INTSEARCHQUERYSORTBY, INTSEARCHWORDSORTBY, BROWREPSORTBY, BROWSUMSORTBY, OSSORTBY, VHOSTSORTBY, USERSORTBY, SUBDIRSORTBY, SUBDOMSORTBY, SUBORGSORTBY, SUBBROWSORTBY, SUBOSSORTBY, REFDIRSORTBY, REFARGSSORTBY`
Syntax

      sortby1 := ("REQUESTS" | "REQUESTS7" | "PAGES" | "PAGES7" |
                  "BYTES" | "BYTES7" | "DATE" | "FIRSTDATE" |
                  "ALPHABETICAL" | "RANDOM")
      COMMAND sortby1

Example
  `DOMSORTBY ALPHABETICAL`

2. Commands (Request and File Type Reports)
  `REQSORTBY, TYPESORTBY, REQARGSSORTBY, SUBTYPESORTBY`
Syntax

      sortby2 := ("REQUESTS" | "REQUESTS7" | "BYTES" | "BYTES7" |
                  "DATE" | "FIRSTDATE" | "ALPHABETICAL" | "RANDOM")
      COMMAND sortby2

Example
  `REQSORTBY REQUESTS`

3. Commands (failure, redirection and Status Code reports)
  `REDIRSORTBY, FAILSORTBY, REDIRHOSTSORTBY, FAILHOSTSORTBY, REDIRREFSORTBY, FAILREFSORTBY, REDIRVHOSTSORTBY, FAILVHOSTSORTBY, REDIRUSERSORTBY, FAILUSERSORTBY, STATUSSORTBY, REDIRARGSSORTBY, FAILARGSSORTBY, REDIRREFARGSSORTBY, FAILREFARGSSORTBY`
Syntax

      sortby3 := ("REQUESTS" | "REQUESTS7" | "DATE" | "FIRSTDATE" |
                  "ALPHABETICAL" | "RANDOM")
      COMMAND sortby3

Example
  `FAILSORTBY DATE`

### `FLOOR` commands

Commands (top-level)
  `HOSTFLOOR, REDIRHOSTFLOOR, FAILHOSTFLOOR, ORGFLOOR, DOMFLOOR, REQFLOOR, DIRFLOOR, TYPEFLOOR, REDIRFLOOR, FAILFLOOR, REFFLOOR, REFSITEFLOOR, SEARCHQUERYFLOOR, SEARCHWORDFLOOR, INTSEARCHQUERYFLOOR, INTSEARCHWORDFLOOR, REDIRREFFLOOR, FAILREFFLOOR, BROWREPFLOOR, BROWSUMFLOOR, OSFLOOR, VHOSTFLOOR, REDIRVHOSTFLOOR, FAILVHOSTFLOOR, USERFLOOR, REDIRUSERFLOOR, FAILUSERFLOOR, STATUSFLOOR`
Commands (lower levels)
  `REQARGSFLOOR, REDIRARGSFLOOR, FAILARGSFLOOR, REFARGSFLOOR, REDIRREFARGSFLOOR, FAILREFARGSFLOOR, SUBDIRFLOOR, SUBDOMFLOOR, SUBORGFLOOR, SUBTYPEFLOOR, SUBBROWFLOOR, SUBOSFLOOR, REFDIRFLOOR`
Syntax
  `partdate := ["+" | "-"] digit digit
  date := partdate partdate partdate [":" partdate partdate]
  COMMAND number ("r" | "s" | "p" | "q")
  COMMAND number ["k" | "M" | "G" | "T" | "P" | "E" | "Z" | "Y"] ("b" | "c")
  COMMAND real ("%" | ":") ("r" | "s" | "p" | "q" | "b" | "c")
  COMMAND date ("d" | "e")
  COMMAND "-" number ("r" | "s" | "p" | "q" | "b" | "c" | "d" | "e")`
Notes
  Actually, this syntax isn't quite correct. `REQFLOOR`, `TYPEFLOOR`, `REQARGSFLOOR` and `SUBTYPEFLOOR` aren't allowed to be of type `"p"` or `"q"`; and `REDIRFLOOR`, `FAILFLOOR`, `REDIRHOSTFLOOR`, `FAILHOSTFLOOR`, `REDIRREFFLOOR`, `FAILREFFLOOR`, `REDIRVHOSTFLOOR`, `FAILVHOSTFLOOR`, `REDIRUSERFLOOR`, `FAILUSERFLOOR`, `STATUSFLOOR`, `REDIRARGSFLOOR`, `FAILARGSFLOOR`, `REDIRREFARGSFLOOR` and `FAILREFARGSFLOOR` aren't allowed to be of type `"p"`, `"q"`, `"b"` or `"c"`.
Examples
  `TYPEFLOOR -20r
  REQARGSFLOOR 0.1%b`

### `CHART` commands

1. Commands (most success reports)
  `HOSTCHART, ORGCHART, DOMCHART, REQCHART, DIRCHART, REFCHART, REFSITECHART, SEARCHQUERYCHART, SEARCHWORDCHART, INTSEARCHQUERYCHART, INTSEARCHWORDCHART, BROWREPCHART, BROWSUMCHART, OSCHART, VHOSTCHART, USERCHART, SIZECHART, PROCTIMECHART`
Syntax

      chart1 := ("ON" | "OFF" | "REQUESTS" | "REQUESTS7" | "PAGES" | "PAGES7" |
                  "BYTES" | "BYTES7")
      COMMAND chart1

Example
  `DOMCHART BYTES`

2. Commands (failure, redirection and Status Code reports)
  `REDIRHOSTCHART, FAILHOSTCHART, REDIRCHART, FAILCHART, REDIRREFCHART, FAILREFCHART, REDIRVHOSTCHART, FAILVHOSTCHART, REDIRUSERCHART, FAILUSERCHART, STATUSCHART`
Syntax

      chart2 := ("ON" | "OFF" | "REQUESTS" | "REQUESTS7")
      COMMAND chart2

Example
  `FAILCHART ON`

3. Syntax (`TYPECHART`)
  `TYPECHART ("ON" | "OFF" | "REQUESTS" | "REQUESTS7" | "BYTES" | "BYTES7")`

4. Syntax (`ALLCHART`)
  `ALLCHART ("ON" | "OFF")`

5. `CHARTEXPAND` commands
  `DIRCHARTEXPAND, DOMCHARTEXPAND, ORGCHARTEXPAND, TYPECHARTEXPAND, BROWCHARTEXPAND, OSCHARTEXPAND, REQCHARTEXPAND, REDIRCHARTEXPAND, FAILCHARTEXPAND, REFCHARTEXPAND, REDIRREFCHARTEXPAND, FAILREFCHARTEXPAND, REFSITECHARTEXPAND`
Syntax

      COMMAND item[,item...]

Example
  `DOMCHARTEXPAND .com,.net`

### Hyperlinks

Syntax
  `REQLINKINCLUDE *file
  REQLINKEXCLUDE *file
  REDIRLINKINCLUDE *file
  REDIRLINKEXCLUDE *file
  FAILLINKINCLUDE *file
  FAILLINKEXCLUDE *file
  REFLINKINCLUDE *referrer
  REFLINKEXCLUDE *referrer
  REDIRREFLINKINCLUDE *referrer
  REDIRREFLINKEXCLUDE *referrer
  FAILREFLINKINCLUDE *referrer
  FAILREFLINKEXCLUDE *referrer
  BASEURL prefix_string`
Notes
  The `LINK` commands can be regular expressions too.
Examples
  `REQLINKINCLUDE pages
  REFLINKINCLUDE *.cgi,*.cgi?*
  BASEURL http://www.mycompany.com`

### Language commands

Syntax

      LANGUAGE ("ARMENIAN" | "BASQUE" | "BULGARIAN" | "BULGARIAN-MIK" |
                "CATALAN" | "SIMP-CHINESE" | "TRAD-CHINESE" | "CZECH" |
                "CZECH-1250" | "DANISH" | "DUTCH" | "ENGLISH" | "US-ENGLISH" |
                "FINNISH" | "FRENCH" | "GERMAN" | "HUNGARIAN" | "INDONESIAN" |
                "ITALIAN" | "JAPANESE-EUC" | "JAPANESE-JIS" | "JAPANESE-SJIS" |
                "JAPANESE-UTF" | "KOREAN" | "LATVIAN" | "NORWEGIAN" | "NYNORSK" |
                "POLISH" | "PORTUGUESE" | "BR-PORTUGUESE" | "RUSSIAN" |
                "RUSSIAN-1251" | "SERBIAN" | "SLOVAK" | "SLOVAK-1250" | "SLOVENE" |
                "SLOVENE-1250" | "SPANISH" | "SWEDISH" | "SWEDISH-ALT" | "TURKISH" |
                "UKRAINIAN")
      LANGFILE localfile
      DOMAINSFILE localfile
      DESCFILE localfile

Notes
  I hope that the other languages which were available in previous versions of analog -- `BOSNIAN`, `SIMP-CHINESE`, `TRAD-CHINESE`, `CROATIAN`, `FINNISH`, `GREEK`, `ICELANDIC`, `LITHUANIAN`, `BR-PORTUGUESE`, `ROMANIAN`, `SLOVAK` and `SPANISH` -- will be available for download from the analog home page soon.
Examples
  `LANGUAGE ITALIAN
  LANGFILE hindi.lng`

### Cosmetic and miscellaneous commands

Syntax
  `
  OUTPUT ("XHTML" | "HTML" | "PLAIN" | "ASCII" | "LATEX" | "COMPUTER" | "XML" | "NONE")
  GOTOS ("ON" | "OFF" | "FEW")
  RUNTIME ("ON" | "OFF")
  DESCRIPTIONS ("ON" | "OFF")
  REPORTSPAN ("ON" | "OFF")
  REPORTSPANTHRESHOLD number
  LASTSEVEN ("ON" | "OFF")
  REPORTORDER perm("x1QmWDdHwh4657oZSlLujJkKfsNnBbpvRMcPztiEIYyr")
  GENSUMLINES ("ALL" | ["+" | "-"] subset("BCDEFGHIJKLMN"))
  IMAGEDIR URL
  CHARTDIR fmtURL
  LOCALCHARTDIR localfmtfile
  JPEGCHARTS ("ON" | "OFF")
  PNGIMAGES ("ON" | "OFF")
  NOROBOTS ("ON" | "OFF")
  LOGO (URL | "none")
  LOGOURL (URL | "none")
  HOSTNAME string
  HOSTURL (URL | "none")
  HEADERFILE (localfile | "none")
  FOOTERFILE (localfile | "none")
  STYLESHEET (URL | "none")
  CSSPREFIX (string | "none")
  SEPCHAR (char | "none")
  REPSEPCHAR (char | "none")
  DECPOINT char
  COMPSEP string
  RAWBYTES ("ON" | "OFF")
  BYTESDP number
  HTMLPAGEWIDTH number
  PLAINPAGEWIDTH number
  LATEXPAGEWIDTH number
  PDFLATEX ("ON" | "OFF")
  BARSTYLE ("a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" | "j")
  MARKCHAR char
  MINGRAPHWIDTH number
  WEEKBEGINSON ("SUNDAY" | "MONDAY" | "TUESDAY" | "WEDNESDAY" | "THURSDAY" | "FRIDAY" | "SATURDAY")
  SEARCHENGINE *referrer comma-separated-strings
  INTSEARCHENGINE *file comma-separated-strings`
Examples
  Too many to list. See the documentation on each individual command.

### Diagnostics

Syntax
  `SETTINGS ("ON" | "OFF")
  DEBUG ("ON" | "OFF" | ["+" | "-"] subset("CDFSU"))
  WARNINGS ("ON" | "OFF" | ["+" | "-"] subset("CDEFLMR"))
  PROGRESSFREQ number
  ERRFILE localfile
  ERRLINELENGTH number`
Examples
  `DEBUG ON
  DEBUG CF
  WARNINGS -DL
  PROGRESSFREQ 50000`

Go to the Analog CE home page.

[ Top | Up | Prev | Next | Map | Index ]